# class TkTextImage

### Public Class Methods

new(parent, index, keys) click to toggle source

    # File lib/tk/textimage.rb, line 11
    def initialize(parent, index, keys)
      #unless parent.kind_of?(Tk::Text)
      #  fail ArgumentError, "expect Tk::Text for 1st argument"
      #end
      @t = parent
      if index == 'end' || index == :end
        @path = TkTextMark.new(@t, tk_call(@t.path, 'index', 'end - 1 chars'))
      elsif index.kind_of? TkTextMark
        if tk_call_without_enc(@t.path,'index',index.path) == tk_call_without_enc(@t.path,'index','end')
          @path = TkTextMark.new(@t, tk_call_without_enc(@t.path, 'index',
                                                         'end - 1 chars'))
        else
          @path = TkTextMark.new(@t, tk_call_without_enc(@t.path, 'index',
                                                         index.path))
        end
      else
        @path = TkTextMark.new(@t, tk_call_without_enc(@t.path, 'index',
                                                       _get_eval_enc_str(index)))
      end
      @path.gravity = 'left'
      @index = @path.path
      @id = tk_call_without_enc(@t.path, 'image', 'create', @index,
                                *hash_kv(keys, true)).freeze
      @path.gravity = 'right'
    end

### Public Instance Methods

[](slot) click to toggle source

    # File lib/tk/textimage.rb, line 44
    def [](slot)
      cget(slot)
    end

[]=(slot, value) click to toggle source

    # File lib/tk/textimage.rb, line 47
    def []=(slot, value)
      configure(slot, value)
      value
    end

cget(slot) click to toggle source

    # File lib/tk/textimage.rb, line 52
    def cget(slot)
      @t.image_cget(@index, slot)
    end

cget_strict(slot) click to toggle source

    # File lib/tk/textimage.rb, line 56
    def cget_strict(slot)
      @t.image_cget_strict(@index, slot)
    end

configinfo(slot = nil) click to toggle source

def configure(slot, value)

    tk_call @t.path, 'image', 'configure', @index, "-#{slot}", value

end

    # File lib/tk/textimage.rb, line 68
    def configinfo(slot = nil)
      @t.image_configinfo(@index, slot)
    end

configure(slot, value=None) click to toggle source

    # File lib/tk/textimage.rb, line 60
    def configure(slot, value=None)
      @t.image_configure(@index, slot, value)
      self
    end

current_configinfo(slot = nil) click to toggle source

    # File lib/tk/textimage.rb, line 72
    def current_configinfo(slot = nil)
      @t.current_image_configinfo(@index, slot)
    end

id() click to toggle source

    # File lib/tk/textimage.rb, line 37
    def id
      Tk::Text::IndexString.new(@id)
    end

image() click to toggle source

    # File lib/tk/textimage.rb, line 76
    def image
      img = tk_call_without_enc(@t.path, 'image', 'cget', @index, '-image')
      TkImage::Tk_IMGTBL[img]? TkImage::Tk_IMGTBL[img] : img
    end

image=(value) click to toggle source

    # File lib/tk/textimage.rb, line 81
    def image=(value)
      tk_call_without_enc(@t.path, 'image', 'configure', @index, '-image',
                          _get_eval_enc_str(value))
      #self
      value
    end

mark() click to toggle source

    # File lib/tk/textimage.rb, line 40
    def mark
      @path
    end